/* MiscDefaultInspector.m				 
 *
 * This is a class that shows a single view, does no work and registers for
 * every possible trigger inside the popUp.
 *
 * For more interface-info see the header file. In depth information
 * can be found here in the source-code.
 *
 * Written by: 		Thomas Engel
 * Created:    		09.02.1994 (Copyleft)
 * Last modified: 	09.02.1994
 *
 * Copyright (c) 1995 Thomas Engel
 */

//#import "MiscDefaultInspector.h"
//#import "MiscInspectorManager.h"
#import <misckit/MiscSwapViewByPopUp.h>
#import <misckit/misckit.h>

@implementation MiscDefaultInspector

- addWrappedControllers
{
	// Lets get the real swapView and add all our controllers (self is some
	// way). If there is no list of our copies we will create it.
	// This way we will set our swapView....but it has no affect.

	id	aController;
	id	popUpList;
	int	i;
	
	swapView = [manager swapView];

	if( !controllers )
	{
		popUpList = [[[[swapView popUpCover] target] itemList] cellList];
		controllers = [List new];
		for( i=0; i<[popUpList count]; i++ )
		{
			aController = [self copy];
			[aController setTrigger:[popUpList objectAt:i]];
			[controllers addObject:aController];
		}
	}
		
	for( i=0; i<[controllers count]; i++ )
		[swapView addController:[controllers objectAt:i]];

	return self;
}

@end

/*
 * History: 09.02.1994 First code entered.
 *
 *
 * Bugs: - no read/write;
 */